GNU bug report logs - #29906
27.0.50; Emacs prompts for passwords in GUI dialog instead of minibuffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: nljlistbox2@HIDDEN (N. Jackson); dated Sat, 30 Dec 2017 02:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 16 Jan 2018 16:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 16 11:58:19 2018
Received: from localhost ([127.0.0.1]:58983 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ebUZ1-0004jI-HD
	for submit <at> debbugs.gnu.org; Tue, 16 Jan 2018 11:58:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ebUYx-0004j3-UC
 for 29906 <at> debbugs.gnu.org; Tue, 16 Jan 2018 11:58:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1ebUYo-0007sd-SA
 for 29906 <at> debbugs.gnu.org; Tue, 16 Jan 2018 11:58:10 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43656)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ebUYc-0007mN-44; Tue, 16 Jan 2018 11:57:54 -0500
Received: from [176.228.60.248] (port=1393 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ebUYb-000392-Ag; Tue, 16 Jan 2018 11:57:53 -0500
Date: Tue, 16 Jan 2018 18:57:43 +0200
Message-Id: <83r2qpyc54.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-reply-to: <0b3736ltcx.fsf@HIDDEN> (message from Glenn Morris on
 Mon, 15 Jan 2018 16:11:58 -0500)
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN>
 <87y3lkug8f.fsf-ueno@HIDDEN> <83k1x4djja.fsf@HIDDEN>
 <87tvw8udrf.fsf-ueno@HIDDEN> <te608a286o.fsf@HIDDEN>
 <0b3736ltcx.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: nljlistbox2@HIDDEN, ueno@HIDDEN, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: 29906 <at> debbugs.gnu.org,  nljlistbox2@HIDDEN,  Eli Zaretskii <eliz@HIDDEN>
> Date: Mon, 15 Jan 2018 16:11:58 -0500
> 
> It seems clear to me that the file was deleted (rather than obsoleted)
> based on a misunderstanding about whether it had been in a release.
> 
> I find it weird that this is just being ignored, but NMP.

It's IMO very unfair to represent what we did about this (see
bug#27445) as "ignoring".  There's a limit to what we can do against
strong opinions of a package maintainer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 15 Jan 2018 21:12:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 15 16:12:12 2018
Received: from localhost ([127.0.0.1]:57809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ebC39-0000Iy-Qi
	for submit <at> debbugs.gnu.org; Mon, 15 Jan 2018 16:12:11 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1ebC37-0000Ii-Rr
 for 29906 <at> debbugs.gnu.org; Mon, 15 Jan 2018 16:12:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ebC31-00072E-U9
 for 29906 <at> debbugs.gnu.org; Mon, 15 Jan 2018 16:12:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56721)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ebC2x-00070f-WD; Mon, 15 Jan 2018 16:12:00 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ebC2x-0002zC-4V; Mon, 15 Jan 2018 16:11:59 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN>
 <87y3lkug8f.fsf-ueno@HIDDEN> <83k1x4djja.fsf@HIDDEN>
 <87tvw8udrf.fsf-ueno@HIDDEN> <te608a286o.fsf@HIDDEN>
X-Spook: Small Pox Recall Denial of service Eco terrorism Collapse
X-Ran: 8Mv\Fx&0kxD%khG(sJWU~Oh^v"t<JTQDc?0rEv<&[ni"mW:h?[@G#)92p!sHyh>:zb"+$A
X-Hue: brightgreen
X-Attribution: GM
Date: Mon, 15 Jan 2018 16:11:58 -0500
In-Reply-To: <te608a286o.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 09 Jan 2018 13:33:51 -0500")
Message-ID: <0b3736ltcx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: nljlistbox2@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


It seems clear to me that the file was deleted (rather than obsoleted)
based on a misunderstanding about whether it had been in a release.

I find it weird that this is just being ignored, but NMP.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 9 Jan 2018 18:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 09 13:34:05 2018
Received: from localhost ([127.0.0.1]:49867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eYyiq-00035o-QD
	for submit <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:34:04 -0500
Received: from eggs.gnu.org ([208.118.235.92]:43881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1eYyio-00035C-8X
 for 29906 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:34:02 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1eYyii-0008SS-G3
 for 29906 <at> debbugs.gnu.org; Tue, 09 Jan 2018 13:33:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32833)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1eYyif-0008Pe-EW; Tue, 09 Jan 2018 13:33:53 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1eYyid-0008AC-R4; Tue, 09 Jan 2018 13:33:51 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN>
 <87y3lkug8f.fsf-ueno@HIDDEN> <83k1x4djja.fsf@HIDDEN>
 <87tvw8udrf.fsf-ueno@HIDDEN>
X-Spook: Gazprom SCUD missile Reynosa Suicide attack Iraq
X-Ran: )=3HE$<v5cpSGsWk7ZI&mEpX*')7m!1%v/NTJE:9M;+:ksMFj=MH=;Sg{&lX^c6k9s5xbX
X-Hue: black
X-Attribution: GM
Date: Tue, 09 Jan 2018 13:33:51 -0500
In-Reply-To: <87tvw8udrf.fsf-ueno@HIDDEN> (Daiki Ueno's message of "Sat, 30
 Dec 2017 22:06:28 +0100")
Message-ID: <te608a286o.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: nljlistbox2@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Daiki Ueno wrote:

>> ??? I see pinentry.el in all versions of Emacs starting from 25.1.
>
> Oops, you are right (forgot about it).  Then, perhaps it might be safer
> to move it to obsolete, but I presume the impact of the removal is not
> that big.

FWIW, it does seem unusual to me to delete a library altogether.
Emacs normally moves things to obsolete/ first.
Or obsolete/pinentry.el could just contain a single line:
 (setq epa-pinentry-mode 'loopback)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 21:06:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 16:06:49 2017
Received: from localhost ([127.0.0.1]:58167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVOL9-00080d-Fj
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 16:06:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ueno@HIDDEN>) id 1eVOL8-00080P-N7
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 16:06:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ueno@HIDDEN>) id 1eVOKy-00054o-OV
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 16:06:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43991)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ueno@HIDDEN>)
 id 1eVOKy-00054W-LH; Sat, 30 Dec 2017 16:06:36 -0500
Received: from du-a.org ([219.94.251.20]:44546 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ueno@HIDDEN>)
 id 1eVOKx-00059R-Q4; Sat, 30 Dec 2017 16:06:36 -0500
Message-ID: <87tvw8udrf.fsf-ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN>
 <87y3lkug8f.fsf-ueno@HIDDEN> <83k1x4djja.fsf@HIDDEN>
Date: Sat, 30 Dec 2017 22:06:28 +0100
In-Reply-To: <83k1x4djja.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 30 Dec
 2017 22:53:45 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: nljlistbox2@HIDDEN, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Daiki Ueno <ueno@HIDDEN>
>> Cc: nljlistbox2@HIDDEN (N. Jackson),  29906 <at> debbugs.gnu.org
>> Date: Sat, 30 Dec 2017 21:13:04 +0100
>> 
>> >> >   ** The pinentry.el library has been removed.
>> >> >   That package (and the corresponding change in GnuPG and pinentry)
>> >> >   was intended to provide a way to input passphrase through Emacs with
>> >> >   GnuPG 2.0.  However, the change to support that was only implemented
>> >> >   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
>> >> >   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
>> >> >   library was useless, and we removed it.  GnuPG 2.0 is no longer
>> >> >   supported by the upstream project.
>> >> >
>> >> >   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
>> >> >   symbol 'loopback'.
>> 
>> I wasn't aware of this entry.  Would it really make sense, given that
>> pinentry.el was a new library introduced in Emacs 26?
>
> ??? I see pinentry.el in all versions of Emacs starting from 25.1.

Oops, you are right (forgot about it).  Then, perhaps it might be safer
to move it to obsolete, but I presume the impact of the removal is not
that big.

> Would you advise saying something along these lines in NEWS?

Sure.

Regards,
-- 
Daiki Ueno




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 20:54:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 15:54:21 2017
Received: from localhost ([127.0.0.1]:58163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVO97-0007ek-AQ
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:54:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eVO94-0007eU-RW
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:54:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eVO8y-0008Fo-HL
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:54:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43878)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eVO8s-000886-EW; Sat, 30 Dec 2017 15:54:06 -0500
Received: from [176.228.60.248] (port=1810 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eVO8q-0007Gg-HE; Sat, 30 Dec 2017 15:54:06 -0500
Date: Sat, 30 Dec 2017 22:53:45 +0200
Message-Id: <83k1x4djja.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Daiki Ueno <ueno@HIDDEN>
In-reply-to: <87y3lkug8f.fsf-ueno@HIDDEN> (message from Daiki Ueno on Sat, 30
 Dec 2017 21:13:04 +0100)
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN> 
 <87y3lkug8f.fsf-ueno@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: nljlistbox2@HIDDEN, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Daiki Ueno <ueno@HIDDEN>
> Cc: nljlistbox2@HIDDEN (N. Jackson),  29906 <at> debbugs.gnu.org
> Date: Sat, 30 Dec 2017 21:13:04 +0100
> 
> >> >   ** The pinentry.el library has been removed.
> >> >   That package (and the corresponding change in GnuPG and pinentry)
> >> >   was intended to provide a way to input passphrase through Emacs with
> >> >   GnuPG 2.0.  However, the change to support that was only implemented
> >> >   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
> >> >   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
> >> >   library was useless, and we removed it.  GnuPG 2.0 is no longer
> >> >   supported by the upstream project.
> >> >
> >> >   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
> >> >   symbol 'loopback'.
> 
> I wasn't aware of this entry.  Would it really make sense, given that
> pinentry.el was a new library introduced in Emacs 26?

??? I see pinentry.el in all versions of Emacs starting from 25.1.

> >> Yes, that does help, thank you. I should have checked the news.
> >> 
> >> It doesn't help me decide what to do though. Do you know if using
> >> the prompt in the minibuffer (using `loopback') is thought to be
> >> less secure than using the external pinentry program?
> >
> > I don't know enough about this to tell.  Daiki, any inputs?
> 
> I would say it's provides the same level of security as pinentry-gtk,
> which no longer uses secmem these days.
> 
> It's unfortunate that one of the GnuPG contributors (who currently seems
> inactive) had advertised that it was less secure, based on his Emacs 19
> knowledge:
> https://dev.gnupg.org/T2034#89059

Would you advise saying something along these lines in NEWS?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 20:13:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 15:13:28 2017
Received: from localhost ([127.0.0.1]:58150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVNVY-0006V8-NJ
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:13:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ueno@HIDDEN>) id 1eVNVX-0006Uu-3e
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:13:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ueno@HIDDEN>) id 1eVNVM-000238-Sk
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 15:13:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43704)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ueno@HIDDEN>)
 id 1eVNVM-00022l-P9; Sat, 30 Dec 2017 15:13:16 -0500
Received: from du-a.org ([219.94.251.20]:44544 helo=localhost.localdomain)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ueno@HIDDEN>)
 id 1eVNVL-0008Jn-Ma; Sat, 30 Dec 2017 15:13:16 -0500
Message-ID: <87y3lkug8f.fsf-ueno@HIDDEN>
From: Daiki Ueno <ueno@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN> <83po6wdrgm.fsf@HIDDEN>
Date: Sat, 30 Dec 2017 21:13:04 +0100
In-Reply-To: <83po6wdrgm.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 30 Dec
 2017 20:02:33 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: nljlistbox2@HIDDEN (N. Jackson)
>> Cc: 29906 <at> debbugs.gnu.org
>> Date: Sat, 30 Dec 2017 10:54:31 -0500
>> 
>> At 10:19 +0200 on Saturday 2017-12-30, Eli Zaretskii wrote:
>> >
>> > Does this NEWS.26 entry help?
>> >
>> >   ** The pinentry.el library has been removed.
>> >   That package (and the corresponding change in GnuPG and pinentry)
>> >   was intended to provide a way to input passphrase through Emacs with
>> >   GnuPG 2.0.  However, the change to support that was only implemented
>> >   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
>> >   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
>> >   library was useless, and we removed it.  GnuPG 2.0 is no longer
>> >   supported by the upstream project.
>> >
>> >   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
>> >   symbol 'loopback'.

I wasn't aware of this entry.  Would it really make sense, given that
pinentry.el was a new library introduced in Emacs 26?

>> Yes, that does help, thank you. I should have checked the news.
>> 
>> It doesn't help me decide what to do though. Do you know if using
>> the prompt in the minibuffer (using `loopback') is thought to be
>> less secure than using the external pinentry program?
>
> I don't know enough about this to tell.  Daiki, any inputs?

I would say it's provides the same level of security as pinentry-gtk,
which no longer uses secmem these days.

It's unfortunate that one of the GnuPG contributors (who currently seems
inactive) had advertised that it was less secure, based on his Emacs 19
knowledge:
https://dev.gnupg.org/T2034#89059

Sigh.  I am really disapponted with the recent development of GnuPG
(failed attempt of standardization, immature implementation of TOFU, FUD
like this, etc).

Regards,
-- 
Daiki Ueno




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 18:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 13:03:07 2017
Received: from localhost ([127.0.0.1]:58100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVLTP-0002rg-6X
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 13:03:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eVLTN-0002r9-9X
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 13:03:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eVLTH-0007Fm-6r
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 13:03:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42998)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eVLT8-0006o8-M5; Sat, 30 Dec 2017 13:02:50 -0500
Received: from [176.228.60.248] (port=1563 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eVLT7-0002WX-Ni; Sat, 30 Dec 2017 13:02:50 -0500
Date: Sat, 30 Dec 2017 20:02:33 +0200
Message-Id: <83po6wdrgm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson), Daiki Ueno <ueno@HIDDEN>
In-reply-to: <87wp14ky88.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
 <87wp14ky88.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Cc: 29906 <at> debbugs.gnu.org
> Date: Sat, 30 Dec 2017 10:54:31 -0500
> 
> At 10:19 +0200 on Saturday 2017-12-30, Eli Zaretskii wrote:
> >
> > Does this NEWS.26 entry help?
> >
> >   ** The pinentry.el library has been removed.
> >   That package (and the corresponding change in GnuPG and pinentry)
> >   was intended to provide a way to input passphrase through Emacs with
> >   GnuPG 2.0.  However, the change to support that was only implemented
> >   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
> >   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
> >   library was useless, and we removed it.  GnuPG 2.0 is no longer
> >   supported by the upstream project.
> >
> >   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
> >   symbol 'loopback'.
> 
> Yes, that does help, thank you. I should have checked the news.
> 
> It doesn't help me decide what to do though. Do you know if using
> the prompt in the minibuffer (using `loopback') is thought to be
> less secure than using the external pinentry program?

I don't know enough about this to tell.  Daiki, any inputs?

> > What version of GnuPG do you have on that system?
> 
> Here `gpg' is GnuPG 1.4.22 and `gpg2' is GnuPG 2.2.3.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 15:54:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 10:54:47 2017
Received: from localhost ([127.0.0.1]:58040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVJTD-0007h2-JR
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 10:54:47 -0500
Received: from mail-io0-f175.google.com ([209.85.223.175]:39928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eVJTB-0007gk-L5
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 10:54:45 -0500
Received: by mail-io0-f175.google.com with SMTP id g70so31109884ioj.6
 for <29906 <at> debbugs.gnu.org>; Sat, 30 Dec 2017 07:54:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=aV+76O14+2w4594T1IlLwQlAIkIQC26n4d1NYPK54PY=;
 b=npu+TNcFNkIVaFyBTyaI3x/FSJc+qSWxBkoJtYErqcuY6BFQC/iEJ2nn1lsGrI2aU4
 7dwN0+EFzieeDRDSEPaE7nUn8gifaclIji2qgPkQBCY8y4ofdXVBkhNyfWZwkNzMTHFD
 AG08iap439562LriNf1dknqZagwS/BDjtppvV3bfEPjnzvVl2WN85bLOM8UtH729Bz/h
 zjQFa+Ko2wTSddo0/jhZqzhsWKFWqDI6uK8rXN/Zi3WyX3hhyPMaPnSN6+YpyEa7V3Is
 kL4bg7nY92NNsT5i34NeYONWaEO23YLNM5bXEO6WgmYR3/jB5puxa0cA9D0d6A5Rp2Rk
 9QrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=aV+76O14+2w4594T1IlLwQlAIkIQC26n4d1NYPK54PY=;
 b=B5CYAzxZUb44wldUkuRwl2KtJesRQ1V2dcPMN8c0B1dlk37jTX4nvuCaSFq315k00c
 JSvYI0oo55TCujoG3h4oiSm8WF7FNMxzcOAXfGOdaM2zXrzW1SPqXnQhXAHznwu7Df8n
 8M08WMHtSAoPouwTU9GiRxO/w0Sw0bh4T09crx81gPFoVO3gneVvRj1N3Fe3wajXatVG
 AX9QIgayhlwPb20+18lNhjGlXQQAeGnDlU6c9u6J70fXh8tViopZTXfyo5xTooe6NIri
 Myay2t5lvuW5O/quy5+rIcXVpmGuXyYS630lByY9OhjPRN8dNzCL76UpUX9YMSEyHg3e
 pjxQ==
X-Gm-Message-State: AKGB3mKCnFUMpPN1Lra62tUsP/270RLL/QvKf+mHNI3KBfJpmo/rz/fa
 rRBqRoWCphG1saeHQO7MI5fIKIdJ
X-Google-Smtp-Source: ACJfBov5bJBwyjH3WPWLTgQ2wYeJRqcgbK1/1YLzs25PmC9aOO/IJf4z0Te1P1e4/f82p7jZayHflw==
X-Received: by 10.107.43.75 with SMTP id r72mr48750844ior.89.1514649279772;
 Sat, 30 Dec 2017 07:54:39 -0800 (PST)
Received: from moondust.localdomain.nodomain.none ([207.164.79.68])
 by smtp.gmail.com with ESMTPSA id r67sm14396567ioi.30.2017.12.30.07.54.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 30 Dec 2017 07:54:39 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN> <83a7y0fx0q.fsf@HIDDEN>
Date: Sat, 30 Dec 2017 10:54:31 -0500
In-Reply-To: <83a7y0fx0q.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 30 Dec
 2017 10:19:33 +0200")
Message-ID: <87wp14ky88.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 29906
Cc: 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

At 10:19 +0200 on Saturday 2017-12-30, Eli Zaretskii wrote:
>
> Does this NEWS.26 entry help?
>
>   ** The pinentry.el library has been removed.
>   That package (and the corresponding change in GnuPG and pinentry)
>   was intended to provide a way to input passphrase through Emacs with
>   GnuPG 2.0.  However, the change to support that was only implemented
>   in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
>   GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
>   library was useless, and we removed it.  GnuPG 2.0 is no longer
>   supported by the upstream project.
>
>   To adapt to the change, you may need to set 'epa-pinentry-mode' to the
>   symbol 'loopback'.

Yes, that does help, thank you. I should have checked the news.

It doesn't help me decide what to do though. Do you know if using
the prompt in the minibuffer (using `loopback') is thought to be
less secure than using the external pinentry program?

> What version of GnuPG do you have on that system?

Here `gpg' is GnuPG 1.4.22 and `gpg2' is GnuPG 2.2.3.

N.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at 29906 <at> debbugs.gnu.org:


Received: (at 29906) by debbugs.gnu.org; 30 Dec 2017 08:19:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 30 03:19:59 2017
Received: from localhost ([127.0.0.1]:57172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eVCN4-0001Bn-Mr
	for submit <at> debbugs.gnu.org; Sat, 30 Dec 2017 03:19:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eVCN3-0001BY-DV
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 03:19:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eVCMs-000887-VJ
 for 29906 <at> debbugs.gnu.org; Sat, 30 Dec 2017 03:19:51 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38770)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eVCMs-00087x-Rl; Sat, 30 Dec 2017 03:19:46 -0500
Received: from [176.228.60.248] (port=4250 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eVCMs-000348-AM; Sat, 30 Dec 2017 03:19:46 -0500
Date: Sat, 30 Dec 2017 10:19:33 +0200
Message-Id: <83a7y0fx0q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
In-reply-to: <871sjdufq7.fsf@HIDDEN> (nljlistbox2@HIDDEN)
Subject: Re: bug#29906: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
References: <871sjdufq7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29906
Cc: 29906 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: nljlistbox2@HIDDEN (N. Jackson)
> Date: Fri, 29 Dec 2017 21:11:44 -0500
> 
> When I start Gnus with `M-x gnus' I get prompted for my password
> (for my authinfo.gpg file) in a GUI dialog box. Expected
> behaviour: The prompt is in the minibuffer.
> 
> Similarly, when I open a .gpg file with `C-x C-f' I am being
> presented with a GUI dialog instead of a prompt in the minibuffer.
> 
> In general I expect to see prompts in the minibuffer unless I
> interact with Emacs with the mouse, through the menus or toolbar.
> 
> This behaviour is new since I last used master a few months ago.

Does this NEWS.26 entry help?

  ** The pinentry.el library has been removed.
  That package (and the corresponding change in GnuPG and pinentry)
  was intended to provide a way to input passphrase through Emacs with
  GnuPG 2.0.  However, the change to support that was only implemented
  in GnuPG >= 2.1 and didn't get backported to GnuPG 2.0.  And with
  GnuPG 2.1 and later, pinentry.el is not needed at all.  So the
  library was useless, and we removed it.  GnuPG 2.0 is no longer
  supported by the upstream project.

  To adapt to the change, you may need to set 'epa-pinentry-mode' to the
  symbol 'loopback'.

What version of GnuPG do you have on that system?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2017 02:12:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 29 21:12:12 2017
Received: from localhost ([127.0.0.1]:57096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eV6d8-0000Gh-3w
	for submit <at> debbugs.gnu.org; Fri, 29 Dec 2017 21:12:10 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eV6d4-0000GB-44
 for submit <at> debbugs.gnu.org; Fri, 29 Dec 2017 21:12:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eV6cv-0004hw-Un
 for submit <at> debbugs.gnu.org; Fri, 29 Dec 2017 21:12:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41138)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1eV6cv-0004hn-Qv
 for submit <at> debbugs.gnu.org; Fri, 29 Dec 2017 21:11:57 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60109)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eV6ct-0006TW-4T
 for bug-gnu-emacs@HIDDEN; Fri, 29 Dec 2017 21:11:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1eV6cp-0004cA-Qb
 for bug-gnu-emacs@HIDDEN; Fri, 29 Dec 2017 21:11:55 -0500
Received: from mail-io0-x22b.google.com ([2607:f8b0:4001:c06::22b]:44348)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1eV6cp-0004bc-Jr
 for bug-gnu-emacs@HIDDEN; Fri, 29 Dec 2017 21:11:51 -0500
Received: by mail-io0-x22b.google.com with SMTP id k18so2253669ioc.11
 for <bug-gnu-emacs@HIDDEN>; Fri, 29 Dec 2017 18:11:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=0JFhffnR7aJBmYHHwenpBb7pHJX7eydXT5Gny1RZZ1c=;
 b=ZdnTLkbkh3dBrt+L6q+b7oX53+B2acH8Jyde63iJZOa6XV2P1gmjv/+6Au1cvAKHGA
 Fucpj2mDc1SG9r9WpuMSLLnS4foaMQUtPAh6KlyEa8t1aKqZTg62IN8ZOyVvExUFvDcb
 wIxufQu0ocPbBfe+Zg2IzG885P73e9iuGaLPcnarsImkE8rmh8iEYYcv0l0Cd7Nj7od6
 +OdMGpHght9pM5xr5rHMKxQ6qSGi8cEhow3Ub7xvjUkweJcWWE0lv0VhE2kA8ih+K+mC
 xvwFa5KI3iVTIN6uct2rD2D1VFzAb0vLmDiG3xvNv7AAcZtB3zdFlkxg2YNyDxSNMiLg
 NSPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=0JFhffnR7aJBmYHHwenpBb7pHJX7eydXT5Gny1RZZ1c=;
 b=mowdHz3EsvzSVygquywp0WN033ZZlq0W4qAKmeg1sa0rzLLl5NKyrctOOPYwQ2BumG
 UghhbdOugzffnR+8Y5iBSc1C9r25lmwcLNvuanHOsITYD+z6XCMZnrZ8RcOKzdMeFXuQ
 cImXvvK+RHF1jIGhy3lMp7jCxu91jQfdnwhv2lJ+t9RvfdMNtO1qFdCq1RUPyTEXOabR
 q/kDIzKhzVXiQA/CeZwJJSyj5vkiyg2J6qETvW5DQJB5jE/yyT0kIUXNM9177t5qYDtA
 feiLXpxleBbFfaN1EIjWIudkqrydv/LK+vvZ9PZx2HP+X+iwHHqspFQ+riTJS68JWrF8
 XAHA==
X-Gm-Message-State: AKGB3mIBd1obZOhbyGsGWpfQb8DmmfU6QNuwzqW+xfJW8X0ouJMP79Up
 sUE7fkIYquUFhmGKZme0hGqk3bjc
X-Google-Smtp-Source: ACJfBosK8fmrhYlcQ+Pf9VVZieV45DCdOmrxf8SDVz95gyFOg0O6pi8IFhrCm6qdv90+GAvmgwS0DQ==
X-Received: by 10.107.84.1 with SMTP id i1mr45770672iob.3.1514599910388;
 Fri, 29 Dec 2017 18:11:50 -0800 (PST)
Received: from moondust.localdomain.nodomain.none ([207.164.79.100])
 by smtp.gmail.com with ESMTPSA id o200sm13314929itg.10.2017.12.29.18.11.48
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 29 Dec 2017 18:11:49 -0800 (PST)
From: nljlistbox2@HIDDEN (N. Jackson)
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50;
 Emacs prompts for passwords in GUI dialog instead of minibuffer
Date: Fri, 29 Dec 2017 21:11:44 -0500
Message-ID: <871sjdufq7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

When I start Gnus with `M-x gnus' I get prompted for my password
(for my authinfo.gpg file) in a GUI dialog box. Expected
behaviour: The prompt is in the minibuffer.

Similarly, when I open a .gpg file with `C-x C-f' I am being
presented with a GUI dialog instead of a prompt in the minibuffer.

In general I expect to see prompts in the minibuffer unless I
interact with Emacs with the mouse, through the menus or toolbar.

This behaviour is new since I last used master a few months ago.


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-12-29 built on moondust.localdomain
Repository revision: ace8f2ed4d6ea49d179333f8e7455e5208417da7
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 26 (Twenty Six)

Recent messages:
20171229T205917.388> Opening nnfolder server...
20171229T205917.389> Opening nnfolder server...done
20171229T205917.390> Reading incoming mail from file...
20171229T205917.391> nnfolder: Reading incoming mail (no new mail)...done
20171229T205917.391> Reading active file via nnfolder...
20171229T205917.391> Reading active file via nnfolder...done
20171229T205917.391> Reading active file via nndraft...
20171229T205917.392> Reading active file via nndraft...
20171229T205917.393> Reading active file via nndraft...done
20171229T205917.393> Checking new news...done

Configured using:
 'configure --without-pop 'CFLAGS=-O2 -g3 -gdwarf-4''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 LCMS2

Important settings:
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  hl-line-mode: t
  diff-auto-refine-mode: t
  pdf-occur-global-minor-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-contacts hides ~/.emacs.d/modules/org-contacts
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-habit hides /data/projects/vc/emacs/git/emacs/lisp/org/org-habit
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-python hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-python
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-clojure hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-clojure
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-md hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-md
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-macs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-groovy hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-groovy
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-odt hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-odt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-texinfo hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-texinfo
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-protocol hides /data/projects/vc/emacs/git/emacs/lisp/org/org-protocol
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-io hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-io
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-list hides /data/projects/vc/emacs/git/emacs/lisp/org/org-list
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-scheme hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-scheme
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-docview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-docview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-html hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-html
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-ctags hides /data/projects/vc/emacs/git/emacs/lisp/org/org-ctags
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-src hides /data/projects/vc/emacs/git/emacs/lisp/org/org-src
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-octave hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-octave
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-w3m hides /data/projects/vc/emacs/git/emacs/lisp/org/org-w3m
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-bibtex hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bibtex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-eww hides /data/projects/vc/emacs/git/emacs/lisp/org/org-eww
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-info hides /data/projects/vc/emacs/git/emacs/lisp/org/org-info
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-processing hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-processing
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-beamer hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-beamer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-maxima hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-maxima
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-table hides /data/projects/vc/emacs/git/emacs/lisp/org/org-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-R hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-R
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-publish hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-publish
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-mscgen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-mscgen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-keys hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-keys
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-css hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-css
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-haskell hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-haskell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-picolisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-picolisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-timer hides /data/projects/vc/emacs/git/emacs/lisp/org/org-timer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-feed hides /data/projects/vc/emacs/git/emacs/lisp/org/org-feed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-emacs-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-emacs-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-coq hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-coq
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-J hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-J
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-mhe hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mhe
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-exp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-exp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-rmail hides /data/projects/vc/emacs/git/emacs/lisp/org/org-rmail
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-attach hides /data/projects/vc/emacs/git/emacs/lisp/org/org-attach
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-lilypond hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lilypond
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-version hides /data/projects/vc/emacs/git/emacs/lisp/org/org-version
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-makefile hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-makefile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-sql hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sql
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-lob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-abc hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-abc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-java hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-java
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-shell hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-shell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-loaddefs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-loaddefs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-element hides /data/projects/vc/emacs/git/emacs/lisp/org/org-element
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ebnf hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ebnf
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-id hides /data/projects/vc/emacs/git/emacs/lisp/org/org-id
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-crypt hides /data/projects/vc/emacs/git/emacs/lisp/org/org-crypt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org hides /data/projects/vc/emacs/git/emacs/lisp/org/org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-plot hides /data/projects/vc/emacs/git/emacs/lisp/org/org-plot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ruby hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ruby
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-matlab hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-matlab
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-lua hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lua
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ditaa hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ditaa
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-irc hides /data/projects/vc/emacs/git/emacs/lisp/org/org-irc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-gnus hides /data/projects/vc/emacs/git/emacs/lisp/org/org-gnus
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-C hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-C
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-vala hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-vala
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-lint hides /data/projects/vc/emacs/git/emacs/lisp/org/org-lint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-comint hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-comint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-colview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-colview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-tangle hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-tangle
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-hledger hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-hledger
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-dot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-dot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-mobile hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mobile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-duration hides /data/projects/vc/emacs/git/emacs/lisp/org/org-duration
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-eshell hides /data/projects/vc/emacs/git/emacs/lisp/org/org-eshell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-sass hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sass
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-gnuplot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-gnuplot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-icalendar hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-icalendar
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-man hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-man
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-capture hides /data/projects/vc/emacs/git/emacs/lisp/org/org-capture
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-plantuml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-plantuml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-footnote hides /data/projects/vc/emacs/git/emacs/lisp/org/org-footnote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-sed hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-clock hides /data/projects/vc/emacs/git/emacs/lisp/org/org-clock
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-js hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-js
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-ascii hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-ascii
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ref hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ref
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-stan hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-stan
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ocaml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ocaml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-agenda hides /data/projects/vc/emacs/git/emacs/lisp/org/org-agenda
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-indent hides /data/projects/vc/emacs/git/emacs/lisp/org/org-indent
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-core hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-core
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-pcomplete hides /data/projects/vc/emacs/git/emacs/lisp/org/org-pcomplete
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-datetree hides /data/projects/vc/emacs/git/emacs/lisp/org/org-datetree
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-ledger hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ledger
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-shen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-shen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-entities hides /data/projects/vc/emacs/git/emacs/lisp/org/org-entities
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-macro hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macro
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-forth hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-forth
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-mouse hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mouse
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-sqlite hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sqlite
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-screen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-screen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-asymptote hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-asymptote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-eval hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-eval
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-archive hides /data/projects/vc/emacs/git/emacs/lisp/org/org-archive
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ox hides /data/projects/vc/emacs/git/emacs/lisp/org/ox
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-perl hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-perl
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-faces hides /data/projects/vc/emacs/git/emacs/lisp/org/org-faces
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-bbdb hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bbdb
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-compat hides /data/projects/vc/emacs/git/emacs/lisp/org/org-compat
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-install hides /data/projects/vc/emacs/git/emacs/lisp/org/org-install
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-awk hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-awk
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-calc hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-calc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/org-inlinetask hides /data/projects/vc/emacs/git/emacs/lisp/org/org-inlinetask
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-table hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20171211/ob-fortran hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-fortran

Features:
(shadow sort bbdb-message emacsbug sendmail gnus-async qp mail-extr
gnus-ml disp-table hl-line utf-7 nndraft nnmh nnfolder nnagent nnml
network-stream nsm starttls bbdb-gnus bbdb-mua nnnil gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp gnus-cache
cl-extra help-mode dired-aux vc-git diff-mode cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs map
epa-file flyspell ispell pdf-occur ibuf-ext ibuffer ibuffer-loaddefs
tablist tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet pdf-isearch
let-alist pdf-misc imenu pdf-tools compile cus-edit pdf-view bookmark pp
pdf-cache pdf-info tq pdf-util org-contacts org-capture gnus-art mm-uu
mml2015 mm-view mml-smime smime dig mailcap org-duration org-eldoc
org-w3m org-rmail org-mhe org-irc org-info org-habit org-gnus nnir
gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source tls gnutls utf7 netrc nnoo parse-time gnus-spec gnus-int
gnus-range message rmc puny rfc822 mml mml-sec epa derived epg mm-decode
mm-bodies mm-encode mail-parse rfc2231 gmm-utils mailheader gnus-win
gnus nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
mail-utils mm-util mail-prsvr org-docview doc-view jka-compr image-mode
dired-x dired dired-loaddefs org-bibtex bibtex org-bbdb org-agenda
org-element avl-tree generator org advice org-macro org-footnote
org-pcomplete org-list org-faces org-entities noutline outline
easy-mmode org-version ob-shell shell pcomplete ob-R ob-python
ob-plantuml ob-org ob-gnuplot ob-ditaa ob-calc calc-store calc-trail
calc-ext calc calc-loaddefs calc-macs ob-awk ob-dot ob-maxima ob-latex
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint comint ansi-color ring ob-core ob-eval org-compat org-macs
org-loaddefs format-spec find-func bbdb-anniv diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs bbdb-com crm mailabbrev bbdb bbdb-site
timezone bbdb-loaddefs finder-inf tex-site info package epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars ido seq byte-opt gv bytecomp
byte-compile cconv edmacro kmacro recentf tree-widget wid-edit easymenu
battery time wheatgrass-theme paren savehist saveplace elec-pair desktop
frameset cl-loaddefs cl-lib delsel cua-base cus-start cus-load time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 770378 369825)
 (symbols 48 78791 155)
 (miscs 40 23378 8810)
 (strings 32 236029 10080)
 (string-bytes 1 10192927)
 (vectors 16 63693)
 (vector-slots 8 1103844 27812)
 (floats 8 468 1010)
 (intervals 56 39016 46414)
 (buffers 992 68))




Acknowledgement sent to nljlistbox2@HIDDEN (N. Jackson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29906; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 16 Jan 2018 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.